Subject: Re: bug#17724: 24.4.50; regression: error "`recenter'ing a window that does not display current-buffer." when opening org-mode file

From: Achim Gratz <[email-masked]>
Date: Thu, 19 Jun 2014 22:43:31 +0200

Gregor Zattler writes:
> Hi Eli,
> * Eli Zaretskii <[email-masked]> [18. Jun. 2014]:
>> > * Stefan Monnier <[email-masked]> [07. Jun. 2014]:
>> > > BTW, I would also point out that people who do not actively develop
>> > > Emacs should ideally use the emacs-24 (i.e. 24.3.9x) branch now rather
>> > > than the trunk (24.4.50), so as to help us fix problems before the
>> > > 24.4 release.
>> > 
>> > I'd love to.  But the emacs-24 branch gives emacs version 24.4.50,
>> 
>> No, the emacs-24 branch's version is 24.3.91.  If you have 24.4.50,
>> you've got the trunk there, not the emacs-24 branch.
>> 
>> How did you checkout what you think is the emacs-24 branch?
>
> like so:
> $ cd ~/src/emacs/; rm -rf * ; git co -f emacs-24
> Checking out files: 100% (3525/3525), done.
> Previous HEAD position was 0f0917d... Regenerate AUTHORS and ldefs-boot.el
> Switched to branch 'emacs-24'

I'm not sure how you ended up on a branch named emacs-24 given your
config.  Also you seem to use some heavily customized version of git
given that apparently an alias for checkout exists.  That alias may
supply other modifications that you may or may not want.

> Git still thinks I'm on branch emacs-24:
> $ git branch
> * emacs-24
>   master
>
> I cloned this repo from savannah:
>
> cd .git ; cat config
> $ cat config 
> [core]
> repositoryformatversion = 0
> filemode = true
> bare = false
> logallrefupdates = true
> [remote "origin"]
> url = git://git.savannah.gnu.org/emacs.git
> fetch = +refs/heads/*:refs/remotes/origin/*
> [branch "master"]
> remote = origin
> merge = refs/heads/master

There is no emacs-24 branch following upstream here.  You'd need

[branch "emacs-24"]
        remote = origin
        merge = refs/heads/emacs-24

in the config, which is usually created when doing

git branch --track emacs-24 origin/emacs-24

> I thought emacs-24 was the branch which track the release but...

You need to learn a little bit of Git.

Regards,
Achim.
-- 
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

SD adaptation for Waldorf microQ V2.22R2:
http://Synth.Stromeko.net/Downloads.html#WaldorfSDada